workflow:
  rules:
    - changes:
      - charts/*
      - templates/*
      - values.yaml
      - Chart.yaml

stages:
  - dependencies
  - lint
  - render

variables:
  DOCKER_HOST: tcp://localhost:2375/
  DOCKER_DRIVER: overlay2
  CHART_NAME: gwcloud_db_helm

dependencies:
  stage: dependencies
  image:
    name: alpine/helm:3.2.1
    entrypoint: [""]
  script:
    - helm dependency list
    - helm dependency build
  rules:
    - if: $CI_COMMIT_BRANCH == 'main'
      when: always

lint:
  stage: lint
  image:
    name: alpine/helm:3.2.1
    entrypoint: [""]
  script:
    - helm lint
  rules:
    - if: $CI_COMMIT_BRANCH == 'main'
      when: always

render:
  stage: render
  image:
    name: alpine/helm:3.2.1
    entrypoint: [""]
  script:
    - helm show values .
    - helm template .
  rules:
    - if: $CI_COMMIT_BRANCH == 'main'
      when: always
